Subject: bug#20062: [bug-diffutils] bug#20062: [PATCH] diff: add support for --color

From: Giuseppe Scrivano <[email-masked]>
Date: Mon, 09 Mar 2015 22:21:55 +0100

Eric Blake <[email-masked]> writes:

>> +@item auto
>> +@vindex auto @r{color option}
>> +@cindex terminal, using color iff
>> +- Only use color if standard output is a terminal.
>> +@item always
>> +@vindex always @r{color option}
>> +- Always use color.
>> +@end itemize
>> +Specifying @option{--color} and no @var{when} is equivalent to
>> +@option{--color=always}.
>
> Is this the right default?  Some GNU programs default --color to
> --color=auto; others to --color=always.  I'm 50:50 on which default is
> better, but it's worth thinking about rather than just blindly picking
> one, as we have both GNU styles as precedent.

I thought about it as well, and then I decided to go for the same
default as ls but I still believe that auto would be a better one.

If it is fine for everyone, I can rework the patch and change the
default to auto.

Regards,
Giuseppe